Bug 994412 - All options “Create Snapshot“ during run VM in Stateless mode, should be grayed out
All options “Create Snapshot“ during run VM in Stateless mode, should be gray...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
low Severity low
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Arik
sefi litmanovich
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 04:50 EDT by vvyazmin@redhat.com
Modified: 2016-04-19 21:30 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 21:30:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## Logs rhevm, vdsm, libvirt, thread dump, superVdsm (4.39 MB, application/x-gzip)
2013-08-07 04:50 EDT, vvyazmin@redhat.com
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45778 None ABANDONED core: change detection of next run configuration Never
oVirt gerrit 45779 master MERGED webadmin: disable snapshot creation for stateless vm Never
oVirt gerrit 46081 ovirt-engine-3.6 MERGED webadmin: disable snapshot creation for stateless vm Never

  None (edit)
Description vvyazmin@redhat.com 2013-08-07 04:50:41 EDT
Created attachment 783745 [details]
## Logs rhevm, vdsm, libvirt, thread dump, superVdsm

Description of problem:
All options “Create Snapshot“ during run VM in Stateless mode, should be grayed out

Version-Release number of selected component (if applicable):
RHEVM 3.3 - IS8 environment:

RHEVM:  rhevm-3.3.0-0.13.master.el6ev.noarch
VDSM:  vdsm-4.12.0-rc3.13.git06ed3cc.el6ev.x86_64
LIBVIRT:  libvirt-0.10.2-18.el6_4.9.x86_64
QEMU & KVM:  qemu-kvm-rhev-0.12.1.2-2.355.el6_4.5.x86_64
SANLOCK:  sanlock-2.6-2.el6.x86_64
PythonSDK:  rhevm-sdk-python-3.3.0.8-1.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
Create VM with one or multiple disk
Run VM in Stateless mode

Actual results:
Option “Create Snapshot” from right click on relevant VM --> stay active (not grayed out)
Option “Create Snapshot”(from main toolbar) on “Virtual Machines” main-tab --> stay active (not grayed out)
Option “Create” on sub-tub “Snapshots” in “Details Pane” --> grayed out

See attached print screen

Expected results:
All option should be grayed out

Impact on user:
none

Workaround:
none

Additional info:

/var/log/ovirt-engine/engine.log

/var/log/vdsm/vdsm.log
Comment 3 Michal Skrivanek 2013-08-08 08:29:55 EDT
I'm not sure why it should be greyed out in the first place.
Comment 6 Michal Skrivanek 2014-08-22 09:01:34 EDT
this bug won't fit into 3.5 release and is being deferred to a later release. If you deeply care about this bug and deserves to be re-evaluated please let me know
Comment 7 Michal Skrivanek 2015-09-15 10:20:28 EDT
Arik, please answer on performance concern in patch 45778
Comment 8 Arik 2015-09-16 02:55:11 EDT
(In reply to Michal Skrivanek from comment #7)
> Arik, please answer on performance concern in patch 45778

will do, but it is not related to this bz anymore.
Comment 9 sefi litmanovich 2015-11-19 07:23:36 EST
Verified with rhevm-3.6.0.3-0.1.el6.noarch.
HOST OS - RHEL 7.2.
vdsm-4.17.10.1-0.el7ev.noarch

Tested with stateless VM as in description -> No possibility to create snapshot either in main 'Virtual Machines' tab, left click on the VM or 'snapshots' sub-tab of the VM.
Same goes with VMs which are part of an automatic VM POOL and are either pre-started or taken by some user.

Note You need to log in before you can comment on or make changes to this bug.